LTX Video-0.9.7 13B Distilled
統合
モデルID
ltx-video-13b-distilled
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/ltx-video-13b-distilled?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/ltx-video-13b-distilled?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/ltx-video-13b-distilled", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/ja/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.com/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "ltx-video-13b-distilled",
"input": {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}
}
Doitong APIを通じてLTX Video-0.9.7 13B Distilledモデル(ltx-video-13b-distilled)を呼び出します。エージェント向けドキュメント: https://doitong.com/ja/developers/models/ltx-video-13b-distilled.md
POST https://api.doitong.com/v1/run/ltx-video-13b-distilled?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}
レスポンスのステータスが"queued"または"running"の場合、"succeeded"になるまでGET https://api.doitong.com/v1/requests/REQUEST_ID?wait=20をポーリングしてください。ファイルはoutputs[].urlにあります。同じボディでPOST https://api.doitong.com/v1/quote/ltx-video-13b-distilledを実行すると、実行前の正確な価格が返されます。
例と同様のファイル: $0.202 202 APIクレジット 実行前にファイルを計測します このページで実行
新しいAPIキーです。 これは今だけ表示され、コードと下記のAPIキー欄にすでに入力されています。秘密にしてください。ブラウザで実行されるコードに決して含めないでください。
Lightricks · 動画
最初の結果がここに表示されます
以下でリクエストを作成し、APIキーで実行してください。出力はストレージにコピーされ、永久保存または無料で7日保存されます。
リクエストを作成
コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。
POST
/run/ltx-video-13b-distilled?wait=20
見積もり → $0.202
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/ltx-video-13b-distilled?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/ltx-video-13b-distilled?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/ltx-video-13b-distilled", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "ltx-video-13b-distilled",
"input": {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
},
"wait_seconds": 20
}
}
}
LTX Video-0.9.7 13B Distilledについて
0.9.7蒸留モデルを使用し、必須の`prompt`から動画を生成します。解像度は480pまたは720p、アスペクト比は9:16、1:1、16:9で、`num_frames`は1~60 fpsで9~1441です。2回のサンプリング処理はそれぞれ2~12ステップです。任意の`loras`、追加のディテール処理、プロンプト拡張に対応します。
パラメータ
名前型
デフォルト許可される値
説明
prompt必須
型string
生成をガイドするテキスト指示。
negative_prompt任意
型string
デフォルトworst quality, inconsistent motion, blurry, jittery, distorted
生成用のネガティブテキスト指示。
loras任意
型object[]
デフォルト[]
生成中に適用する LoRA 重み。
loras[].path必須
型string
LoRA 重みの場所。URL またはパスで指定します。
loras[].weight_name任意
型string | null
HuggingFaceリポジトリ内の複数の重みから選択するLoRAの重み名。複数の重みを含むリポジトリでのみ必要です。`path` がHuggingFaceリポジトリを示す場合にだけ効果があります。
loras[].scale任意
型number
デフォルト1
0 – 4
読み込み時に LoRA 重みをスケーリングする乗数。
resolution任意
型enum
デフォルト720p
480p720p
出力動画の解像度。
aspect_ratio任意
型enum
デフォルト16:9
9:161:116:9
結果の動画のアスペクト比。
seed任意
型integer | null
生成中のランダム性を制御するシード。
num_frames任意
型integer
デフォルト121
9 – 1,441
動画の総フレーム数。
first_pass_num_inference_steps任意
型integer
デフォルト8
2 – 12
第 1 パスの推論ステップ数。
second_pass_num_inference_steps任意
型integer
デフォルト8
2 – 12
第 2 パスの推論ステップ数。
second_pass_skip_initial_steps任意
型integer
デフォルト5
1 – 11
第 2 パスで省略する初期推論ステップ数。この値により、第 2 パスを大きな変更ではなく細部の処理に寄せます。
frame_rate任意
型integer
デフォルト24
1 – 60
動画のフレームレート。
expand_prompt任意
型boolean
デフォルトfalse
言語モデルによるプロンプト拡張。
reverse_video任意
型boolean
デフォルトfalse
動画の再生順を逆にします。
enable_safety_checker任意
型boolean
デフォルトtrue
安全性チェックの切り替え。オフ設定が有効になるのは承認済みアカウントのみです。承認されていないすべてのリクエストには安全性チェックが実行されます。
enable_detail_pass任意
型boolean
デフォルトfalse
有効にすると動画の詳細を改善する、オプションの第 2 リファインメントパス。
temporal_adain_factor任意
型number
デフォルト0.5
0 – 1
適応的インスタンス正規化(AdaIN)の強度。高い値では色の一貫性を、低い値では色の変化を優先します。最初を除く生成チャンクに適用され、動画全体の色分布を正規化して、彩度やコントラストが徐々に上昇する現象を抑えます。
tone_map_compression_ratio任意
型number
デフォルト0
0 – 1
トーンマッピングの圧縮レベル。0.0 では圧縮なし、1.0 では最大圧縮です。この方法で動画のダイナミックレンジを圧縮すると、画質が向上します。
必須
出力
GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "ltx-video-13b-distilled",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 202,
"usd": "0.202",
"charged": 202,
"refunded": 0
},
"input": {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
},
"output": {
"video": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
"content_type": "video/mp4",
"file_name": "0-output.mp4",
"file_size": 1843200
},
"prompt": "A cinematic fast-tracking shot follows a vintage, teal camper van as it descends a winding mountain trail. The van, slightly weathered but well-maintained, is the central focus, its retro design emphasized by the motion blur. Medium shot reveals the dusty, ochre trail, edged with vibrant green pine trees. Close-up on the van's tires shows the gravel spraying, highlighting the speed and rugged terrain. Sunlight filters through the trees, casting dappled shadows on the van and the trail. The background is a hazy, majestic mountain range bathed in warm, golden light. The overall mood is adventurous and exhilarating. High resolution 4k movie scene.",
"seed": 42
},
"outputs": [
{
"type": "video",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
"content_type": "video/mp4",
"file_size": 1843200,
"width": 1280,
"height": 720,
"duration": 5,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
- video
- object {url, content_type, file_name, file_size}生成された動画ファイル。
- prompt
- string出力の生成に使用されたプロンプト。
- seed
- integer生成時に適用したシード値。
その他のLTX Video-0.9.7 13B Distilledバリアント
その他のモデル: テキストから動画
AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/ltx-video-13b-distilled.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt